This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 458687 - restorecond.conf does not include ~/web or ~/www
restorecond.conf does not include ~/web or ~/www
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: policycoreutils (Show other bugs)
5.2
All Linux
medium Severity low
: rc
: ---
Assigned To: Daniel Walsh
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 12:22 EDT by Eric Kjeldergaard
Modified: 2010-02-03 10:21 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 05:47:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Kjeldergaard 2008-08-11 12:22:36 EDT
Description of problem:
restorecond.conf only defines ~/public_html (and not ~/web nor ~/www) though 
file_contexts.homedirs:/home/[^/]*/((www)|(web)|(public_html))(/.+)?	user_u:object_r:httpd_user_content_t:s0 is the default in rhel5.

Version-Release number of selected component (if applicable):


How reproducible:
completely

Steps to Reproduce:
1. set up apache to use UserDir web
2. put directory web in /etc/skel
3. create directory
4. observe selinux-caused 403s
  
Actual results:
403

Expected results:
200

Additional info:
Comment 1 Phil Knirsch 2008-12-18 11:33:48 EST
Reassigning to component policycoreutils which owns /etc/selinux/restorecond.conf

Thanks & regards, Phil
Comment 2 Daniel Walsh 2009-04-09 11:56:32 EDT
Fixed in policycoreutils-1.33.12-14.4.el5.src.rpm
Comment 10 errata-xmlrpc 2009-09-02 05:47:11 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1292.html

Note You need to log in before you can comment on or make changes to this bug.